Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class Utils.OutputFileUtils.OutputFilesFilter

    java.lang.Object
      org.apache.hadoop.mapred.Utils.OutputFileUtils.OutputLogFilter
          org.apache.hadoop.mapred.Utils.OutputFileUtils.OutputFilesFilter

All Implemented Interfaces:
  PathFilter

Enclosing class:
  Utils.OutputFileUtils

    public static class Utils.OutputFileUtils.OutputFilesFilter

extends Utils.OutputFileUtils.OutputLogFilter

This class filters output(part) files from the given directory It does not accept files with filenames _logs and _SUCCESS. This can be used to list paths of output directory as follows: Path[] fileList = FileUtil.stat2Paths(fs.listStatus(outDir, new OutputFilesFilter()));

Constructor Summary
`Utils.OutputFileUtils.OutputFilesFilter()`

Method Summary
`boolean` | `accept(Path path)` Tests whether or not the specified abstract pathname should be included in a pathname list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils.OutputFileUtils.OutputFilesFilter

    public Utils.OutputFileUtils.OutputFilesFilter()

Method Detail

### accept

    public boolean accept(Path path)

  Description copied from interface: `PathFilter`
  Tests whether or not the specified abstract pathname should be included in a pathname list.

  Specified by:
    `accept` in interface `PathFilter`
  Overrides:
    `accept` in class `Utils.OutputFileUtils.OutputLogFilter`
  Parameters:
    `path` - The abstract pathname to be tested
  Returns:
    `true` if and only if `pathname` should be included

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation